
Foreman - Bug #2485

Editing class imported from Example42 raise error on submit (develop branch)

05/10/2013 07:30 AM - Alejandro Falcon

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

How to reproduce:

-Install foreman from source develop branch

-Edit any class imported from example42 modules.

-Submit without changing anything.

Error raised:

Oops, we're sorry but something went wrong

x SQLite3::ConstraintException: constraint failed: UPDATE "lookup_keys" SET "description" = '', "default_value" = '---

"params_lookup(\"monitor_target\", \"global\")"', "updated_at" = NULL WHERE "lookup_keys"."id" = 733

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to

attach the Full trace and relevant log entries.

ActiveRecord::StatementInvalid

SQLite3::ConstraintException: constraint failed: UPDATE "lookup_keys" SET "description" = '', "default_value" = '---

"params_lookup(\"monitor_target\", \"global\")"', "updated_at" = NULL WHERE "lookup_keys"."id" = 733

app/controllers/puppetclasses_controller.rb:45:in `update'

lib/foreman/thread_session.rb:31:in `clear_thread'

Back

Associated revisions

Revision 27120f62 - 05/22/2013 08:15 AM - Joseph Magen

fixes #2485 - updated_at = NULL

Revision b1ed267b - 05/23/2013 03:48 AM - Joseph Magen

fixes #2485 - updated_at = NULL

(cherry picked from commit 27120f6239e252fb392ad3d61e68d7fc4dd0c740)

History

#1 - 05/16/2013 08:36 AM - Joseph Magen

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

pull request https://github.com/theforeman/foreman/pull/618

#2 - 05/22/2013 08:56 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 27120f6239e252fb392ad3d61e68d7fc4dd0c740.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://github.com/theforeman/foreman/pull/618
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/27120f6239e252fb392ad3d61e68d7fc4dd0c740
http://www.tcpdf.org

